### Method

# WebKit Download set_allow_overwrite

#### Declaration [src]

    void
    webkit_download_set_allow_overwrite (
      WebKitDownload* download,
      gboolean allowed
    )

#### Description [src]

Sets the `WebKitDownload:allow-overwrite` property.

Sets the `WebKitDownload:allow-overwrite` property, which determines whether the download may overwrite an existing file on disk, or if it will fail if the destination already exists.

Available since: | 2.6

Sets property | `WebKit.Download:allow-overwrite`

#### Parameters

`allowed` | `gboolean`
| The new value for the `WebKitDownload:allow-overwrite` property.